Summary: A GNU stream text editor.
Name: sed
Version: 3.02
Release: 1.0.2
Copyright: GPL
Group: Applications/Text
Source0: ftp://prep.ai.mit.edu/pub/gnu/sed-%{version}.tar.gz
Prereq: /sbin/install-info
Prefix: %{_prefix}
Buildroot: %{_tmppath}/%{name}-root

%description
The sed (Stream EDitor) editor is a stream or batch (non-interactive)
editor.  Sed takes text as input, performs an operation or set of
operations on the text and outputs the modified text.  The operations
that sed performs (substitutions, deletions, insertions, etc.) can be
specified in a script file or from the command line.

%prep
%setup -q

%build

%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall

{ cd ${RPM_BUILD_ROOT}

  mkdir -p ./bin
  mv .%{_bindir}/sed ./bin/sed
  rmdir .%{_bindir}
  gzip -9nf .%{_infodir}/sed.info*
  rm -f .%{_infodir}/dir
}

%post
if [ -f %{_infodir}/sed.info.gz ]; then
	/sbin/install-info %{_infodir}/sed.info.gz %{_infodir}/dir
fi

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/sed.info.gz %{_infodir}/dir
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc ANNOUNCE BUGS NEWS README TODO
%doc %{_infodir}/*.info*
%doc %{_mandir}/man*/*
/bin/sed

%changelog
* Tue Nov 28 2000 Pete O'Hara <pete@guardiandigital.com>
- changed install-info to be conditional on existence
	of *info.gz file

* Tue Oct 09 2000 Pete O'Hara <pete@guardiandigital.com>
- FHS changes

* Wed Jul 05 2000 Pete O'Hara <pete@guardiandigital.com>
- initial version

